Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Punkte sollen nicht skaliert werden

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Punkte sollen nicht skaliert werden (572 mal gelesen)
CADDAWG
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von CADDAWG an!   Senden Sie eine Private Message an CADDAWG  Schreiben Sie einen Gästebucheintrag für CADDAWG

Beiträge: 24
Registriert: 18.03.2015

AutoCAD Architecture 2017

erstellt am: 14. Nov. 2018 14:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich habe zwei Fragen zu Basispunkten
- wir arbeiten mit dem Punktstil (pdmode=)34 (=Kreis mit Kreuz)
- Unsere Punkte sind standardmäßig (pdsize=)8mm groß


1. Ich habe einen Block erstellt. In diesem Block ist unter anderem ein Basispunkt. Dieser Block kommt mehrfach in der Zeichnung vor. Jedoch mit unterschiedlichen Skalierungen. Dabei wird auch der Basispunkt immer mitskaliert. Kann man das verhindern, sodass der Basispunkt unabhängig vom Skalierungsfaktor des Blocks immer gleich groß ist.

2. Ähnliche Situation, jedoch mit xRef anstelle eine Blockes:
Ich habe eine Kundenzeichnung bekommen. Der Kunde arbeitet in Meter-Einheiten. Wir jedoch arbeiten mit Millimeter-Einheiten. Wenn ich seine Zeichnung in unserer per xRef referenziere, wird sie passend skaliert (=> im Zeichnungseinrichtungsmanager ist bei beiden Zeichnungen alles richtig eingestellt). Aber auch hier wieder das Problem mit den Basispunkten: In unserer Zeichnung sind sie - wie gesagt - mit einer Größe von 8mm dargestellt. Das scheint sich aber nicht richtig auf die Kundenzeichnung zu übertragen, sodass die Punkte dort jeweils 8000mm groß sind.
Gibt es da eine Lösung, die vermeidet, dass ich alle Basispunkte aus der Kundenzeichnung löschen muss (ohne den Punktstil oder seine Größe zu ändern)?


Dankeschön!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 14. Nov. 2018 15:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CADDAWG 10 Unities + Antwort hilfreich

Wozu nutzt Ihr den Quatsch denn überhaupt (Punkte an sich und darüber hinaus PDMODE >2)?

Nein, du kannst nichts ändern außer deinen Punktstil und weglassen der Punktobjekte.

Dein Vokabular, danie von Basispunkten zu sprechen (sehr ungünstige Vokabel,
zumal du zugleich von Block&Xref sprichst und es dort ja wirklich einen Basisounkt gibt)


Wenn wir wissen wie und warum Ihr die Objekte (so) nutzt, danngibt es vielleicht Alternativen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADDAWG
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von CADDAWG an!   Senden Sie eine Private Message an CADDAWG  Schreiben Sie einen Gästebucheintrag für CADDAWG

Beiträge: 24
Registriert: 18.03.2015

AutoCAD Architecture 2017

erstellt am: 16. Nov. 2018 16:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ow, klar: "Basispunkt" in meinem Vokabular = "Punkt".
Da bin ich etwas von unseren Firmeneinstellungen geschädigt: Bei uns ist der Befehl in der Oberfläche tatsächlich umbenannt und heißt "Basispunkt".

Wir benutzen diese Punkte nahezu überall: Jeder(!) Block hat einen gezeichneten Punkt an seinem Basispunkt/Ursprung. Darüberhinaus an Schlüsselpunkten des Blockes. Ein Korpus z.B. hat ein Nennmaß von 600, er ist aber nur 599 breit gezeichnet. Damit das Bemaßen für Kundenansichten einfacher wird, gibt es hier die Punkte jeweils einen halben Millimeter links und rechts vom Korpus.
In der Länge streckbare dynamische Blöcke haben oft Punkte für eventuelle Rasterungen, sodass man mithilfe von Objektfang am Bildschirm schnell agieren kann und dadurch nur Maus und nicht Tastatur benutzen muss (vom tastaturlosen Arbeiten sind viele (eher ältere) Kollegen große Fans).

Unsere gesamte Zeichnungsbibliothek ist mittlerweile mehr oder weniger komplett abhängig von den in unseren Blöcken gezeichneten Punkten. Als Quatsch würde ich das aber keinesfalls bezeichnen, sondern eher als eine gute Zeichenhilfe 

Genau das scheint auch bei dem einen oder andern Architekten der Fall zu sein. Nur - anders als wir - zeichnen Architekten gerne in Metern. Sobald wir Pläne übereinander legen rasten die Basispunkte der verschiedenen Zeichnungen dann leider komplett aus und skalieren sich 1000-fach. So wird aus einem Punkt in einem Block der Architektenzeichnung schnell eine nicht 8mm große Hilfe, sondern eine 8 METER große Monstrosität. Pro Tür vier davon. Pro Fenster zwei. Und pro Korpus, Tisch etc. auch vier. Kurz gesagt: Die Übersicht ist dann einfach nicht mehr vorhanden.

Meine ursprüngliche Frage rührt einfach daher, dass Punkte im Stil 0 schwierig zu sehen und nutzen sind, da sie eben nur ein Pixel groß sind und gleichzeitig daher, dass es lästig ist, die Punkte aus der Architektenzeichnung zu löschen.


Aber ich habe mir schon gedacht, dass es keinen guten Weg gibt, das Problem zu lösen 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 16. Nov. 2018 18:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CADDAWG 10 Unities + Antwort hilfreich

Punktobjekte sinnvoll eingesetzt sind eine tolle Sache, mir fehlte nur die sinnergebende Erklärung in diesem konkreten Fall


"(vom tastaturlosen Arbeiten sind viele (eher ältere) Kollegen große Fans)"
Das entspricht genau dem Gegenteil meiner bisherigen Erfahrung, interessant  


Zum Fall:

Ihr habe also mit euren Daten kein Problem und die Fremddaten werden bei euch nur "zur Darstellung" genutzt, nicht
bearbeitet und diese gehen auch nicht bearbeitet zurück an den Erstellen oder an sonstwen zur weiteren Bearbeitung.

In diesem Fall wäre meine ganz plumpe Lösung in der Tat der bereits angesprochene Workaround: WEG DAMIT!

" und gleichzeitig daher, dass es lästig ist, die Punkte aus der Architektenzeichnung zu löschen."

Ihr habt Architecture, also eine Vollversion, deren Funktionsumfang lässt sich über Programmierung erweitern.
Lösung: Passendes Programm, die Entfernung der Punktobjekte ist damit schnell erledigt.


Einfaches Beispiel welches so nur innerhalb der Architektur-Datei ausgeführt werden kann,
sowas geht aber auch per klick auf die Xref etcpp.


Code:

;; Basiscode von CADmium, weil es einfach nichts zu verbessern gibt KLICK!
;; Löscht alle Punktobjekte der aktuellen Datei, außer Dimension-Blocks und extern definiterte.

(defun c:DelAllPoints ( / AD LOCKEDLAYLIST)

      (vl-load-com)

      (vlax-for LAYER (vla-get-Layers (setq AD (vla-get-activedocument(vlax-get-acad-object))))
  (if (= (vla-get-lock layer) :vlax-true)
      (progn
        (setq LOCKEDLAYLIST (cons (vlax-get-property LAYER 'Name) LOCKEDLAYLIST))
        (vla-put-lock LAYER :vlax-false)
      ) ;_ end of progn
  ) ;_ end of if
      )
 
      (vlax-for LAYOUT (vla-get-layouts AD)  
        (vlax-for ITEM (vla-get-Block LAYOUT)
          (if (= (vla-get-objectname ITEM) "AcDbPoint")
              (vl-catch-all-error-p (vl-catch-all-apply 'vla-delete (list ITEM)))
          )
        )
      )
 
      (vlax-for BLOCK (vla-get-blocks AD)
          (if (and
                (= (vla-get-isxref BLOCK) :vlax-false)
                (not(wcmatch (vla-get-Name BLOCK) "`*D*,*|*"))
              )
      (vlax-for ITEM BLOCK    
          (if (= (vla-get-objectname ITEM) "AcDbPoint")
            (vl-catch-all-error-p
              (vl-catch-all-apply                
                'vla-delete
                (list ITEM)
              )
            )
                  )
       )
          )
      )

      (if LOCKEDLAYLIST
  (vlax-for LAYER (vla-get-layers AD)
       (if (member (vla-get-name LAYER) LOCKEDLAYLIST)
           (vla-put-lock LAYER :vlax-true)
       )
  )
      )
 
  (vla-regen AD acAllViewports)
 
)


Wie man Lispdateien in einer Datei lädt und startet erklärt neben allerlei anderem, User:FAQ im Thema APPLOAD - Klick!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADDAWG
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von CADDAWG an!   Senden Sie eine Private Message an CADDAWG  Schreiben Sie einen Gästebucheintrag für CADDAWG

Beiträge: 24
Registriert: 18.03.2015

AutoCAD Architecture 2017

erstellt am: 19. Nov. 2018 07:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich werde mich damit mal auseinandersetzen.

Super, Dankeschön für die Hilfe! 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz